Bug 154058 - use line comment whenever it is possible
Summary: use line comment whenever it is possible
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-14 20:56 UTC by Maciej Pilichowski
Modified: 2011-08-12 08:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2007-12-14 20:56:50 UTC
Version:            (using KDE KDE 3.5.8)
Installed from:    SuSE RPMs

Consider (C++) 

A
B
C

I select all lines, comment, and what I get?

/*A
B
C*/

After some time I would like to uncomment B. In this example this is trivial, in practice -- it is a headache. With line comment it would be simple, I would get:

//A
//B
//C

I would put text cursor at B, and uncomment it. Voila.
Comment 1 Anders Lund 2007-12-14 21:19:43 UTC
I did a lot to make kate work that way, and AFAICS it does, both v. 2x and 3.

Do you have empty space that is not selected somewhere?

Could you provide detailled instructions about how you select to make it not 
work correctly?
Comment 2 Maciej Pilichowski 2007-12-14 21:52:57 UTC
> I did a lot to make kate work that way, and AFAICS it does, both v. 2x and 
> 3.

I agree, but there are cases like above when Kate uses detailed comment, when line comment would be better.

> Could you provide detailled instructions about how you select to make it not 
> work correctly?

|A
B
C
|#include <iostream>

| denotes start and end of selection. Detailed comment will be used however, here:

|A
B
C
|
#include <iostream>

line comment will be used.
Comment 3 Dominik Haumann 2010-11-07 21:01:22 UTC
Maciej: Can you please retry? Maybe it works for KDE 4.5 already, if not, please try upcoming Kate for KDE 4.6. You can very easily build it according to http://kate-editor.org/get-it/
Comment 4 Dominik Haumann 2011-08-12 08:56:33 UTC
Git commit 3789265bd1a79d049628fd1d46655573ca23d82f by Dominik Haumann.
Committed on 12/08/2011 at 10:55.
Pushed by dhaumann into branch 'master'.

use single line comments whenever possible

BUG: 154058

M  +4    -2    part/document/katedocument.cpp

http://commits.kde.org/kate/3789265bd1a79d049628fd1d46655573ca23d82f
Comment 5 Dominik Haumann 2011-08-12 08:57:15 UTC
Git commit 0b7520ab2e0dcb12e97d4b9a197c7feed47d3ef8 by Dominik Haumann.
Committed on 12/08/2011 at 10:55.
Pushed by dhaumann into branch 'KDE/4.7'.

use single line comments whenever possible

BUG: 154058

M  +4    -2    part/document/katedocument.cpp

http://commits.kde.org/kate/0b7520ab2e0dcb12e97d4b9a197c7feed47d3ef8